Download it now!
Bug 121458 - [EDITING] Charts data ranges in Writer cannot be edited
Summary: [EDITING] Charts data ranges in Writer cannot be edited
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:6.5.0 target:6.4.1 target:6.3.5
Keywords: bibisected, bisected, regression
: 123211 129017 (view as bug list)
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2018-11-16 09:11 UTC by brazz
Modified: 2020-01-15 22:56 UTC (History)
8 users (show)

See Also:
Crash report or crash signature:


Attachments
sample file (13.62 KB, application/vnd.oasis.opendocument.text)
2018-11-19 10:38 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description brazz 2018-11-16 09:11:32 UTC
Using Libreoffice 6.1.3.2 on Ubuntu 18.04.

When a chart is created out of a table in Writer, it is no longer possible to edit its data ranges afterwards: "data ranges" is not available in context menu, and is greyed out in menu and toolbar menu.

It used to work fine on previous versions up to Libreoffice 6.0.6.

This is no way related to Calc here: only Writer tables and charts a are used here.

Steps to reproduce:
- open writer and create a new ODT document
- insert a table in this document, feed it with numeric data
- select a few columns and rows of this table, and insert chart
- edit chart as required
- (save document and quit Writer, run Writer and open document)
- edit chart by double-clicking it: "data ranges" feature is not available, thus cannot be edited.
Comment 1 Dieter 2018-11-18 10:21:36 UTC
I confirm this with

Version: 6.2.0.0.alpha1+ (x64)
Build ID: 8274c4c62df5b937b3f0bec9e1eeca85f3b219d4
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-10-22_01:47:50
Locale: en-US (de_DE); Calc: CL

and

Version: 6.1.3.2 (x64)
Build-ID: 86daf60bf00efa86ad547e59e09d6bb77c699acb
CPU-Threads: 4; BS: Windows 10.0; UI-Render: Standard; 
Gebietsschema: de-DE (de_DE); Calc: group threaded

but not with

Version: 5.4.7.2 (x64)
Build-ID: c838ef25c16710f8838b1faec480ebba495259d0
CPU-Threads: 4; BS: Windows 6.19; UI-Render: GL; 
Gebietsschema: de-DE (de_DE); Calc: CL
Comment 2 Xisco Faulí 2018-11-19 10:38:51 UTC
Created attachment 146764 [details]
sample file
Comment 3 Xisco Faulí 2018-11-19 10:41:03 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=0074951704022d173a5fdb9df933f47be1dcbb91

author	Vasily Melenchuk <Vasily.Melenchuk@cib.de>	2017-11-10 18:37:25 +0300
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2018-01-10 01:24:06 +0100
commit	0074951704022d173a5fdb9df933f47be1dcbb91 (patch)
tree	73503c1938be3b4757ecaa082f6307396f296b8b
parent	8c15140f92a0dff2aa7cc9e1f8bb5d8a0df34bf8 (diff)
tdf#113572: allow switching to data range in copypasted chart

Bisected with: bibisect-linux64-6.1

Adding Cc: to Vasily Melenchuk
Comment 4 QA Administrators 2019-11-20 03:51:18 UTC Comment hidden (obsolete)
Comment 5 brazz 2019-11-20 09:35:47 UTC Comment hidden (obsolete)
Comment 6 brazz 2019-11-20 10:07:16 UTC
Correction: after another try it appears bug is still present in Libreoffice 6.3.3, snap installation or PPA installation.
Switching back to previous status.
Comment 7 brazz 2019-12-04 09:07:53 UTC
Any chance to see this bug fixed? 
From my understanding the cause of this regression has been introduced 2 years ago, and identified one year ago.
Still, it doesn't look like a fix is on its way... the bug hasn't been assigned.
I would help if I could, but I'm just a daily user, not a coder...
Comment 8 Katarina Behrens (Inactive) 2019-12-05 11:52:03 UTC
*** Bug 129017 has been marked as a duplicate of this bug. ***
Comment 9 Markus Elfring 2019-12-27 12:00:41 UTC
(In reply to brazz from comment #0)
I became also curious how the software will be improved for the adjustment of data source areas.
Comment 10 Commit Notification 2020-01-08 09:29:54 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/985b76d237b26b428771bfc03d1ef74cdb5d77f0

tdf#121458: chart: change "Data Ranges" button enabled condition.

It will be available in 6.5.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2020-01-09 09:20:49 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-4":

https://git.libreoffice.org/core/commit/46ac8dd2305cea9c618a5a37940a616df265a53f

tdf#121458: chart: change "Data Ranges" button enabled condition.

It will be available in 6.4.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Roman Kuznetsov 2020-01-10 13:19:19 UTC
Verified in

Version: 6.5.0.0.alpha0+ (x64)
Build ID: b6295e4a1b7735c148174f44f6d28221f4f52302
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: ru-RU (ru_RU); UI-Language: en-US
Calc: threaded

Thanks for fixing
Comment 13 Xisco Faulí 2020-01-10 13:26:33 UTC
*** Bug 123211 has been marked as a duplicate of this bug. ***
Comment 14 Commit Notification 2020-01-15 22:56:26 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/6b9fefa671bb53d4555c8cf68071fc1d78e9246d

tdf#121458: chart: change "Data Ranges" button enabled condition.

It will be available in 6.3.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.